finite-difference-gradient.hxx File Reference
`#include "boost/type_traits/is_same.hpp"`
`#include <boost/mpl/same_as.hpp>`

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::detail
| roboptim::finiteDifferenceGradientPolicies
| Contains finite difference gradients policies.

## Functions

template<typename T >
std::ostream & | roboptim::operator<< (std::ostream &o, const BadGradient< T > &f)
| Override operator<< to handle exception display. More...
template<typename T >
bool | roboptim::checkGradient (const GenericDifferentiableFunction< T > &function, typename GenericDifferentiableFunction< T >::size_type functionId, const typename GenericDifferentiableFunction< T >::vector_t &x, typename GenericDifferentiableFunction< T >::value_type threshold=finiteDifferenceThreshold) throw ()
| Check if a gradient is valid. More...
template<typename T >
void | roboptim::checkGradientAndThrow (const GenericDifferentiableFunction< T > &function, typename GenericDifferentiableFunction< T >::size_type functionId, const typename GenericDifferentiableFunction< T >::vector_t &x, typename GenericDifferentiableFunction< T >::value_type threshold=finiteDifferenceThreshold) throw (BadGradient<T>)
template<typename T >
void | roboptim::detail::compute_deriv (const GenericFunction< T > &adaptee, typename GenericFunction< T >::size_type j, double h, double &result, double &round, double &trunc, const typename GenericFunction< T >::argument_t &argument, typename GenericFunction< T >::size_type idFunction, typename GenericFunction< T >::argument_t &xEps)
| Algorithm from the Gnu Scientific Library. More...